View Bug Details

IDProjectCategoryView StatusLast Update
0001275DCP-o-matic[All Projects] Bugspublic2018-05-14 22:22
ReporterCarstenAssigned Tocarl 
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformMacOSOS X OS Version10.11
Product Version2.12.x 
Target Version2.12.xFixed in Version 
Summary0001275: Trimming XML subs from the end seems to cause crash in DCP-o-matic
Description

I have tried to create a timed-text subbed DCP with a subtitle file that is longer than the content (for testing purposes). Hence I trimmed the subtitle file both from the beginning and the end (see attached screenshots).

When creating the DCP, DCP-o-matic crashes when it has nearly finished the conversion. When I take out the trimming from the end, it doesn't crash. It may not happen often in real world projects, but it's still a crash. ;-)

The log doesn't say much there

TagsNo tags attached.
Estimated work requiredUnknown

Activities

Carsten

2018-04-16 13:04

manager  

Bildschirmfoto 2018-04-16 um 14.48.58.png (348,391 bytes)
Bildschirmfoto 2018-04-16 um 14.48.40.png (266,186 bytes)

carl

2018-04-19 21:52

administrator   ~0002386

Fixed by cd810b7658b0f4910c093ac191c2b4ba06ba0677 in master, should probably be backported to 2.12.x once it has been tested a little.

carl

2018-05-14 22:22

administrator   ~0002428

Cherry-picked to v2.12.x for inclusion in v2.12.5.

Bug History

Date Modified Username Field Change
2018-04-16 13:04 Carsten New Bug
2018-04-16 13:04 Carsten Status new => assigned
2018-04-16 13:04 Carsten Assigned To => carl
2018-04-16 13:04 Carsten File Added: Bildschirmfoto 2018-04-16 um 14.48.58.png
2018-04-16 13:04 Carsten File Added: Bildschirmfoto 2018-04-16 um 14.48.40.png
2018-04-19 21:15 carl Status assigned => confirmed
2018-04-19 21:20 carl Priority normal => high
2018-04-19 21:20 carl Target Version 2.13.x => 2.12.x
2018-04-19 21:52 carl Note Added: 0002386
2018-05-14 22:22 carl Status confirmed => resolved
2018-05-14 22:22 carl Resolution open => fixed
2018-05-14 22:22 carl Note Added: 0002428